<?php
/*
[F SCHOOL OA] F 校园网络办公系统 2009
This is a freeware
Version: 2.2.1
Author: 浪子凡 (nbbufan@163.com)
Powered By:【凡·工作室】 (www.microphp.cn)
Last Modified: 2009/3/31 20:08
*/
unset($dbservertype);
//load config
require './config.php';
//*******************init*****************************************************
// load db class
$dbservertype = strtolower($dbservertype);
$dbclassname="./include/db_$dbservertype.php";
require_once "$dbclassname";
// load db table
$tables = array('content', 'setting', 'type','manage','soft','articles','members','images','message','adminlog','loginlog','chajian','friendlinks','ads','soft',
                'leave','schedule','file','message','letter','userinfo','favorite','classtable',
                'y_class','y_type','y_setting','y_content','ftp'
                );
foreach($tables as $tablename) {
	${'table_'.$tablename} = $tablepre.$tablename;
}
unset($dbclassname,$dbservertype,$tables,$tablename,$dbservertype);
// set db
$db = new FMysql;
$db->appname="【凡·工作室】";
$db->appshortname="shool oa 2009";
$db->database=$dbname;
$db->server=$servername;
$db->user=$dbusername;
$db->password=$dbpassword;
$db->connect();
$db->query("SET NAMES '$charset'");
unset($dbhost, $dbuser, $dbpw, $dbname, $pconnect);
//load functions
require_once './include/functions.php';
//**************************init Micro Template**********************************
//load Micro Template
require_once('./include/tpl.class.php');
//set Micro Template
$templates_dir='./templates/'.$style.'/html';
$tpl = new MicroTpl($templates_dir);
$tpl->force_html=$force_html;
unset($templates_dir);
$css="<LINK href=templates/$style/css/style.css rel=stylesheet type=text/css>";
?>






